package iot.lidee.iot.mapper.bygz;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import iot.lidee.framework.mybatis.mapper.BaseMapperX;
import iot.lidee.iot.model.bygz.ByManagementJl;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 保养管理-保养记录Mapper接口
 * 
 * @date 2026-03-20
 */
@Mapper
public interface ByManagementJlMapper extends BaseMapperX<ByManagementJl> {

    default List<ByManagementJl> selectJlList(){
        return this.selectList(new QueryWrapper<>());
    }

    List<ByManagementJl> selectBygdByType(String devtype);
}
